@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap"); body {
    margin: 0px;
    padding: 0px;
    font-size: 12px;
    font-family: Roboto, sans-serif;
    color: rgb(62, 62, 62);
    height: 100vh;
    width: 100vw;
    background: rgb(239, 239, 239) !important;
}

h1, h2, h3, h4, h5 {
    color: rgb(17, 17, 86);
    font-weight: bold;
    margin: 0px;
}

h1 {
    font-size: 20px;
}

.text-center {
    text-align: center;
}

.portail-unique-verification-mail {
    padding: 20px 0px;
}

.portail-unique-verification-mail .portail-unique-back-to-login-link {
    margin-bottom: 10vh;
}

.instruction-title {
    margin-bottom: 20px;
}

.instruction {
    margin-bottom: 10px;
}

.instruction:last-child {
    margin-bottom: 10vh;
}

.portail-unique-page {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.portail-unique-page .row {
    margin-left: 0px;
    margin-right: 0px;
}

.kc-page-title, #kc-page-title {
    margin: 0px;
    display: none;
}

.kc-info, #kc-info {
    display: none;
}

.hidden {
    display: none;
}

.portail-unique-button {
    border-radius: 15px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    border: none;
}

.portail-unique-button-primary {
    background: rgb(17, 17, 86);
    color: white;
}

.portail-unique-button-secondary {
    background: rgb(3, 136, 130);
    color: white;
}

.portail-unique-button-white {
    border: 1px solid rgb(17, 17, 86);
    color: rgb(17, 17, 86);
}

.portail-unique-validate {
    width: 177px;
    margin-top: 22px;
    margin-bottom: 22px;
}

a, a:hover, a:visited {
    font-weight: bold;
    color: rgb(17, 17, 86);
    font-size: 12px;
}

.portail-unique-space-between {
    display: flex;
    justify-content: space-between;
}

.portail-unique-checkbox {
    display: flex;
    align-items: center;
}

.portail-unique-checkbox .material-icons {
    font-size: 16px;
    color: rgb(112, 112, 112);
}

.portail-unique-checkbox input {
    display: none;
}

.portail-unique-checkbox-checked {
    color: rgb(3, 136, 130) !important;
}

.portail-unique-input {
    color: rgb(62, 62, 62);
    margin-bottom: 14px;
}

.portail-unique-input label {
    font-weight: bold;
    margin-bottom: 4px;
    display: block !important;
}

.portail-unique-input-field {
    display: flex;
    align-items: center;
    border: 1px solid rgb(112, 112, 112);
    padding: 0px 10px;
    flex: 1 1 0%;
    height: 32px;
    border-radius: 4px;
}

input[readonly], .readonly {
    background: rgb(204, 204, 204);
}

.input-link {
    margin: 0px;
    padding: 0px;
    border: none;
    text-decoration: underline;
    font-weight: bold;
    color: rgb(17, 17, 86);
    background: transparent;
    cursor: pointer;
}

.required {
    color: red;
}

.portail-unique-input-field input {
    background: transparent;
    border: none;
    outline: none;
    color: rgb(62, 62, 62);
    flex: 1 1 0%;
}

.portail-unique-input-password {
    color: rgb(62, 62, 62);
    margin-bottom: 14px;
}

.portail-unique-input-password label {
    font-weight: bold;
    margin-bottom: 4px;
    display: block !important;
}

.portail-unique-input-password-field {
    display: flex;
    align-items: center;
    border: 1px solid rgb(112, 112, 112);
    padding: 0px 10px;
    flex: 1 1 0%;
    height: 32px;
    border-radius: 4px;
}

.portail-unique-input-password-field input {
    background: transparent;
    border: none;
    outline: none;
    color: rgb(62, 62, 62);
    flex: 1 1 0%;
}

.portail-unique-input-password-field .material-icons {
    font-size: 16px;
    cursor: pointer;
}

.portail-unique-validity-password {
    padding: 0px 14px;
    margin-bottom: 14px;
}

.portail-unique-validity-password-field {
    display: flex;
    align-items: center;
    padding: 0px 14px;
}

.portail-unique-validity-password-field .material-icons {
    font-size: 12px;
    margin-right: 4px;
}

.portail-unique-logo {
    color: rgb(17, 17, 86);
    font-size: 14px;
    font-weight: bold;
    margin: 22px 0px;
    width: fit-content;
}

.portail-unique-logo img {
    vertical-align: middle;
    margin-right: 14px;
}

.portail-unique-description {
    font-size: 20px;
    color: white;
    font-weight: bold;
    max-width: 25vh;
    min-width: 320px;
}

.portail-unique-en-savoir-plus {
    font-size: 12px;
    display: block;
    color: white;
    text-decoration: underline;
    margin-top: 10px;
}

.portail-unique-footer {
    background: rgb(62, 62, 62);
    display: flex;
    align-items: center;
    justify-content: center;
}

.portail-unique-footer-container {
    flex: 1 1 0%;
    max-width: 1000px;
    flex-wrap: wrap;
    display: flex;
    align-items: center;
}

.portail-unique-footer-container img {
    margin-top: 8px;
    margin-bottom: 8px;
    margin-right: 15px;
}

.portail-unique-footer-container a, .portail-unique-footer-container a:hover, .portail-unique-footer-container a:visited {
    color: white;
    text-decoration: none;
    font-size: 14px;
    font-weight: bold;
}

.portail-unique-footer-links {
    display: flex;
    flex: 1 1 0%;
    flex-wrap: wrap;
}

.portail-unique-autres-portails {
    margin-top: auto;
}

.portail-unique-autres-portails-link {
    padding: 5px 14px;
    flex: 1 1 0%;
    margin: 0px 40px 12px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border: 1px solid rgb(17, 17, 86);
    color: rgb(17, 17, 86);
    border-radius: 60px;
    cursor: pointer;
}

.error {
    color: rgb(233, 68, 99);
}

.valid {
    color: rgb(3, 136, 130);
}

.input-error {
    color: rgb(233, 68, 99);
    margin-top: 4px;
    margin-left: 14px;
}

.portail-unique {
    flex: 1 1 0%;
    background-size: cover;
    background-position-x: 50%;
    background-repeat: no-repeat;
    background-attachment: fixed;
}

.portail-unique.portail-unique-inscription-image {
    background-image: url("../img/inscription.jpg");
}

.portail-unique.portail-unique-authentification-image {
    background-image: url("../img/authentification.jpg");
}

.portail-unique-left-side {
    display: flex;
    flex-flow: column;
    justify-content: space-between;
    padding-left: 64px;
    padding-bottom: 8vh;
    padding-top: 8vh;
    text-shadow: rgba(0, 0, 0, 0.16) 0px 0px 6px;
}

.portail-unique-right-side {
    display: flex;
    flex-flow: column;
    justify-content: center;
    background: white;
    height: 100%;
}

.portail-unique-form {
    display: flex;
    flex-flow: column;
    flex: 1 1 0%;
    justify-content: center;
    margin-top: 22px;
}

.portail-unique-form .panel-body {
    background: white;
    border-radius: 20px;
    padding: 30px;
    box-shadow: rgba(0, 0, 0, 0.08) 0px 3px 6px;
}

.portail-unique-form-title {
    color: rgb(17, 17, 86);
    text-align: center;
    font-size: 20px;
    font-weight: bold;
    margin-bottom: 20px;
}

.portail-unique-right-side .portail-unique-checkbox {
    margin-bottom: 14px;
}

.portail-unique-back-to-login-link {
    display: flex;
    align-items: center;
    text-decoration: none;
}

@media screen and (max-width: 991px) {
    .portail-unique-left-side {
        padding: 2rem;
        height: 200px;
    }

    .portail-unique-form-title {
        color: rgb(17, 17, 86);
        font-size: 20px;
        font-weight: bold;
        margin-bottom: 20px;
    }

    .portail-unique-form {
        padding: 0px;
    }

    .portail-unique-right-side {
        height: max-content;
    }

    .portail-unique-autres-portails {
        margin-bottom: 22px;
    }

    .portail-unique-autres-portails-link {
        margin: 14px 15px;
    }

    .portail-unique-footer {
        padding: 15px;
    }

    .portail-unique-footer-links div {
        margin-bottom: 4px;
    }
}

.alert {
    padding: 10px 14px;
    border: 1px solid;
    margin-bottom: 14px;
    border-radius: 5px;
}

.alert-error {
    border-color: rgb(233, 68, 99);
    background: rgba(233, 68, 99, 0.16);
    color: rgb(233, 68, 99);
}

.alert-success {
    border-color: rgb(93, 198, 100);
    background: rgba(92, 198, 99, 0.16);
    color: rgb(93, 198, 100);
}

.espace-web {
    margin-top: 14px;
}

input:invalid + #invalid-pattern::after {
    content: "Le format n'est pas valide.";
}

.portail-unique-assistance {
    background: rgb(78, 179, 197);
    border-radius: 20px;
    height: 48px;
    width: 130px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    text-decoration: none !important;
}

.portail-unique-assistance-logo {
    font-size: 38px;
    margin-right: 4px;
}

.portail-unique-assistance-info {
    font-size: 10px;
}

.besoin-aide {
    padding: 22px 14px 0px;
}

.besoin-aide-titre {
    margin-bottom: 10px;
}

.modal-backdrop.show {
    opacity: 0.5 !important;
}

.modal.show {
    opacity: 1 !important;
}

.modal-content {
    max-width: 570px !important;
}

.modal-title {
    font-size: 1.5em;
    color: rgb(17, 17, 86);
    font-weight: bold;
    margin: 0px;
    line-height: 1.42857;
}

.modal.fade .modal-dialog {
    transform: translate(0px, 50%);
    transition: transform 0.3s ease-out 0s;
}

.clearfix::before, .clearfix::after, .container::before, .container::after, .container-fluid::before, .container-fluid::after, .row::before, .row::after, .form-horizontal .form-group::before, .form-horizontal .form-group::after, .btn-toolbar::before, .btn-toolbar::after, .btn-group-vertical > .btn-group::before, .btn-group-vertical > .btn-group::after, .nav::before, .nav::after, .navbar::before, .navbar::after, .navbar-header::before, .navbar-header::after, .navbar-collapse::before, .navbar-collapse::after, .pager::before, .pager::after, .panel-body::before, .panel-body::after, .modal-footer::before, .modal-footer::after {
    content: none;
    display: table;
}

.col-sm-1, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-sm-10, .col-sm-11, .col-sm-12 {
    float: none;
}

.msgInformation {
    color: rgb(78, 179, 197);
    font-style: italic;
    font-weight: bold;
    font-size: 1.1em !important;
}

a.msgInformation {
    color: rgb(17, 17, 86);
    font-style: italic;
    font-weight: bold;
    font-size: 1.1em !important;
}

a.msgInformation:hover {
    cursor: pointer;
}

.icon-info {
    color: rgb(78, 179, 197);
    position: absolute;
    padding-left: 5px;
}

.tooltip-toggle::before {
    position: absolute;
    background-color: rgb(78, 179, 197);
    border-radius: 5px;
    color: rgb(255, 255, 255);
    content: attr(data-tooltip);
    padding: 1rem;
    text-transform: none;
    transition: all 0.5s ease 0s;
    width: 300px;
    left: 50%;
    transform: translate(-50%, calc(-100% - 10px));
}

.tooltip-toggle::after {
    position: absolute;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid rgb(78, 179, 197);
    content: " ";
    font-size: 0px;
    line-height: 0;
    transform: translate(-50%, calc(-100% - 5px));
    left: 50%;
}

.tooltip-toggle::before, .tooltip-toggle::after {
    color: rgb(239, 239, 239);
    font-family: monospace;
    font-size: 1em;
    opacity: 0;
    pointer-events: none;
    text-align: center;
}

.tooltip-toggle:hover::before, .tooltip-toggle:hover::after {
    opacity: 1;
    transition: all 0.75s ease 0s;
}

.modal-body {
    line-height: 2;
    text-align: justify;
    font-size: 14px !important;
}

.modal-body a {
    color: rgb(66, 139, 202);
    font-size: 14px !important;
}

.error-message {
    color: rgb(233, 68, 99);
    background-color: rgb(253, 236, 234);
    padding: 10px;
    border-radius: 4px;
    margin-bottom: 10px;
    text-align: center;
}
